%define name lclint
%define version 2.5q
%define release 1mdk

Summary: An implementation of the lint program
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.src.tar.bz2
Source1: lclint.wmconfig
Source2: guide.pdf
URL: http://www.sds.lcs.mit.edu/lclint/
Group: Development/Other
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

%description 
Scans C source code for mistakes and bad style.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure --prefix $RPM_BUILD_ROOT/usr/lib/lclint 

%build
mv Makefile Makefile.orig
cat Makefile.orig | \
    sed -e 's@\(.*DEFAULT_LARCHPATH.*\)$(LIBDIR)\(.*\)@\1/usr/lib/lclint/lib\2@g' \
        -e 's@\(.*DEFAULT_LCLIMPORTDIR.*\)$(IMPORTSDIR)\(.*\)@\1/usr/lib/lclint/imports\2@g' \
    > Makefile

%make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/lclint
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_docdir}/lclint-%{PACKAGE_VERSION}

make install
install -m 644 $RPM_SOURCE_DIR/lclint.wmconfig  \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint

cp -f $RPM_BUILD_DIR/lclint-%{PACKAGE_VERSION}/bin/lclint \
      $RPM_BUILD_ROOT/usr/bin

rm -rf $RPM_BUILD_ROOT/usr/lib/lclint/bin

cp $RPM_SOURCE_DIR/guide.pdf \
   $RPM_BUILD_ROOT%{_docdir}/lclint-%{PACKAGE_VERSION}
cp $RPM_BUILD_DIR/lclint-%{PACKAGE_VERSION}/{README,LICENSE} \
   $RPM_BUILD_ROOT%{_docdir}/lclint-%{PACKAGE_VERSION}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc %{_docdir}/lclint-%{PACKAGE_VERSION}/README
%doc %{_docdir}/lclint-%{PACKAGE_VERSION}/LICENSE
%doc %{_docdir}/lclint-%{PACKAGE_VERSION}/guide.pdf
%{_bindir}/lclint
%{_libdir}/lclint

%changelog
* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5q-1mdk
- updated to 2.5q

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4b-3mdk
- bm

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4b-2mdk
- fix group
- fix permission on sources

* Wed Mar 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sat Oct 31 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
 
- found correct 2.4b source (was actually 2.3)
- no longer an emacs mode
- added documentation
 
* Wed Oct 14 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
 
- fixed library directories not to point at buildroot
 
* Mon Oct 12 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
 
- fixed executable
 
* Mon Jun 06 1998 Michael Maher <mike@redhat.com>
 
- fixed paths for executable link
 
* Mon May 17 1998 Michael Maher <mike@redhat.com>
 
- updated to newest version
- added buildroot
- added wmconfig
 
 
* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
 
- added Summary
 
* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
 
- %doc'ed some stuff
 
* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
 
- made /usr/lib/lclint/bin a directory, not the executable
 
* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>
 
- built the package     
